今天把一台很久没用的云服务器拿出来,准备体验下AppNode面板。

安装AppNode面板时,顺便安装了Web环境,PHP7.3版本。

进入AppNode面板中创建一个运行环境,因为以前用过AppNode,没想到会出问题,这次部署环境时提示检测PHP检测失败。

PHP检测结果中有两个问题,1、PHP版本检测未通过;2、不支持curl模块。

我以为是自己误操作了什么东西,就把PHP环境删了个干净,重新安装PHP7.2版本。

回到创建运行环境的步骤,检测仍是PHP的那两个错误,干脆就忽略了它,直接创建环境,反正不影响正常使用。

检测不到 curl 扩展的解决办法

SSH 访问服务器,使用 yum update -y curl 升级 curl 扩展

curl 扩展检测不到的问题解决了,至于PHP版本检测的问题,没找到原因,实测没有影响我使用,就先不管了,嘿嘿。
可能是读取不到PHP的版本信息吧。